package com.bankaudit.rest.process.dao;

import java.util.List;
import java.util.Map;

import com.bankaudit.dao.Dao;
import com.bankaudit.model.MaintReportDerivedStmt;
import com.bankaudit.process.model.AuditReportStmt;
import com.bankaudit.process.model.IfcBatchProcessStatus;
import com.bankaudit.process.model.IfcEnsureBaasData;
import com.bankaudit.process.model.IfcEnsureBaasIRProcessData;

public interface BatchProcessingDao extends Dao {
	
	List<IfcEnsureBaasIRProcessData> getIfcParameterDataFromProcess(Integer legalEntityCode, String auditId, String referenceNo);
	
	List<IfcEnsureBaasData> getIfcBaasParameterDataFromProcess(Integer legalEntityCode, String auditId, String referenceNo);
	
	List<AuditReportStmt> getAuditDerivedStmts(Integer legalEntityCode, String auditId, String referenceNo);
	
	List<AuditReportStmt> getAuditDerivedStmtsByStatementId(Integer legalEntityCode, String auditId, String referenceNo, String statementId);
	
	List<MaintReportDerivedStmt> getDerivedStmts(Integer legalEntityCode, String auditTypeCode, String referenceNo);
	
	void updateAuditReportStmt(AuditReportStmt auditReportStmt, Integer id, String statementId);
	
	IfcBatchProcessStatus getBatchProcessStatus(Integer legalEntityCode, String auditId, String auditTypeCode);
	
	void updateAuditReportStmntRupeeSymbl(int legalEntityCode,String auditTypeCode,String auditId);
	
	void suppressInterveningYrDeriveStmnts(int legalEntityCode,String auditTypeCode,String auditId);

}
